sm-commit AT lists.ibiblio.org
Subject: Source Mage code commit list
List archive
[SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (51e7cd3d8d7c9fb2476f2ad12aaa51d6a92ff3f9)
- From: Justin Boffemmyer <scm AT sourcemage.org>
- To: sm-commit AT lists.ibiblio.org
- Subject: [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (51e7cd3d8d7c9fb2476f2ad12aaa51d6a92ff3f9)
- Date: Mon, 13 Oct 2008 21:51:56 -0500
GIT changes to test cauldron by Justin Boffemmyer <flux AT sourcemage.org>:
scripts/cleaniso.sh | 4 ++--
1 files changed, 2 insertions(+), 2 deletions(-)
New commits:
commit 51e7cd3d8d7c9fb2476f2ad12aaa51d6a92ff3f9
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>
scripts/cleaniso.sh: use different exit codes
Make use of different exit codes for different purposes. The script
will exit with 1 if incorrect usage or the user asked for help, else
exit 2 for more serious errors.
diff --git a/scripts/cleaniso.sh b/scripts/cleaniso.sh
index b4b5d71..2ca8462 100755
--- a/scripts/cleaniso.sh
+++ b/scripts/cleaniso.sh
@@ -70,12 +70,12 @@ shift
if ! [[ -e "$ISOCHROOT/bin/rm" ]]
then
echo "Error: /bin/rm not found in $ISOCHROOT" >&2
- exit 1
+ exit 2
fi
if ! [[ -e "$ISOCHROOT/bin/rmdir" ]]
then
echo "Error: /bin/rmdir not found in $ISOCHROOT" >&2
- exit 1
+ exit 2
fi
if $CLEANALL
- [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (51e7cd3d8d7c9fb2476f2ad12aaa51d6a92ff3f9), Justin Boffemmyer, 10/13/2008
Archive powered by MHonArc 2.6.24.